import React from 'react';
import { BrowserRouter as Router, Route, Routes } from 'react-router-dom';
import ResponsiveAppBar from './components/ResponsiveAppBar';
import ShipmentView from './pages/ShipmentView';
import HomePage from './pages/HomeView'; // Assuming this is a default export
import ResultsView from './pages/ResultsView';
import PlanningView from './pages/PlanningView';

const App: React.FC = () => {
    return (
        <Router>
            <ResponsiveAppBar />
            <Routes>
                <Route path="/" element={<HomePage />} />
                <Route path="/shipments" element={<ShipmentView />} />
                <Route path="/planning" element={<PlanningView />} />
                <Route path="/results" element={<ResultsView />} />
            </Routes>
        </Router>
    );
};

export default App;
